Name:           perl-Dancer2-Plugin-Cache-CHI
Version:        1.7.1
Release:        1%{?dist}
Summary:        Dancer plugin to cache response content (and anything else)
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Dancer2-Plugin-Cache-CHI/
Source0:        http://www.cpan.org/authors/id/Y/YA/YANICK/Dancer2-Plugin-Cache-CHI-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 1:v5.10.0
BuildRequires:  perl(Carp)
BuildRequires:  perl(CHI)
BuildRequires:  perl(Dancer2) >= 0.162000
BuildRequires:  perl(Dancer2::Plugin)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(Moo) >= 1.000007
BuildRequires:  perl(Plack::Test)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)
Requires:       perl(Carp)
Requires:       perl(CHI)
Requires:       perl(Dancer2) >= 0.162000
Requires:       perl(Dancer2::Plugin)
Requires:       perl(Moo) >= 1.000007
Requires:       perl(strict)
Requires:       perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This plugin provides Dancer2 with an interface to a CHI cache. Also, it
includes a mechanism to easily cache the response of routes.

%prep
%setup -q -n Dancer2-Plugin-Cache-CHI-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHOR_PLEDGE Changes CONTRIBUTORS cpanfile doap.xml LICENSE META.json README README.mkdn
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Jun 26 2016 Dave Cross <dave@mag-sol.com> 1.7.1-1
- Specfile autogenerated by cpanspec 1.78.
